## org.springframework.scheduling.quartz
Class LocalTaskExecutorThreadPool

    java.lang.Object
      org.springframework.scheduling.quartz.LocalTaskExecutorThreadPool

All Implemented Interfaces:
  org.quartz.spi.ThreadPool

    public class LocalTaskExecutorThreadPool

extends Object
implements org.quartz.spi.ThreadPool

Quartz ThreadPool adapter that delegates to a Spring-managed TaskExecutor instance, specified on SchedulerFactoryBean.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `SchedulerFactoryBean.setTaskExecutor(java.util.concurrent.Executor)`

Field Summary
`protected Log` `logger` Logger available to subclasses

Constructor Summary
`LocalTaskExecutorThreadPool()`

Method Summary
`int` `blockForAvailableThreads()`
`int` `getPoolSize()`
`void` `initialize()`
`boolean` `runInThread(Runnable runnable)`
`void` `setInstanceId(String schedInstId)`
`void` `setInstanceName(String schedName)`
`void` `shutdown(boolean waitForJobsToComplete)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  Logger available to subclasses

Constructor Detail

### LocalTaskExecutorThreadPool

    public LocalTaskExecutorThreadPool()

Method Detail

### setInstanceId

    public void setInstanceId(String schedInstId)

### setInstanceName

    public void setInstanceName(String schedName)

### initialize

    public void initialize()
                    throws SchedulerConfigException

  Specified by:
    `initialize` in interface `org.quartz.spi.ThreadPool`
  Throws:
    `SchedulerConfigException`

### shutdown

    public void shutdown(boolean waitForJobsToComplete)

  Specified by:
    `shutdown` in interface `org.quartz.spi.ThreadPool`

### getPoolSize

    public int getPoolSize()

  Specified by:
    `getPoolSize` in interface `org.quartz.spi.ThreadPool`

### runInThread

    public boolean runInThread(Runnable runnable)

  Specified by:
    `runInThread` in interface `org.quartz.spi.ThreadPool`

### blockForAvailableThreads

    public int blockForAvailableThreads()

  Specified by:
    `blockForAvailableThreads` in interface `org.quartz.spi.ThreadPool`